<?php

namespace FiloBlu\Storelocator\Model\Rma\Item;

class Status extends \Magento\Rma\Model\Item\Status
{
    /**
     * Get item status sequence - linear order on item statuses set
     *
     * @return string[]
     */
    public function _getStatusSequence()
    {
        return [
            self::STATUS_ALL_ARE_EDITABLE,
            \Magento\Rma\Model\Item\Attribute\Source\Status::STATE_PENDING,
            \Magento\Rma\Model\Item\Attribute\Source\Status::STATE_AUTHORIZED,
            \Magento\Rma\Model\Item\Attribute\Source\Status::STATE_RECEIVED,
            \Magento\Rma\Model\Item\Attribute\Source\Status::STATE_APPROVED,
            \Magento\Rma\Model\Item\Attribute\Source\Status::STATE_REJECTED,
            \Magento\Rma\Model\Item\Attribute\Source\Status::STATE_DENIED,
            self::STATUS_ORDER_IS_CLOSED,
            \FiloBlu\Storelocator\Model\Plugin\Rma\Source\Status::STATE_RECEIVED_IN_STORE
        ];
    }
}